Skip to navigation

Post Form Input Attachments Bulk

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Request

This endpoint expects an object.
form_input_idstringRequired
fileslist of objectsOptional
Files to attach to the input. Defaults to none.
removed_idslist of stringsOptional
IDs of this input's attachments to remove. Defaults to none.

Response

created Bulk
idstringOptional
ULID
contentobjectOptional
excluded_from_exportbooleanOptional
created_atlongOptional

Unix timestamp (seconds since epoch) when the record was created

updated_atlongOptional

Unix timestamp (seconds since epoch) when the record was last updated